curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"associations": [
{
"to": {
"id": "<string>"
},
"types": [
{
"associationTypeId": 123
}
]
}
],
"properties": {}
}
'import requests
url = "https://api.hubapi.com/crm/objects/2026-03/{objectType}"
payload = {
"associations": [
{
"to": { "id": "<string>" },
"types": [{ "associationTypeId": 123 }]
}
],
"properties": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
associations: [{to: {id: '<string>'}, types: [{associationTypeId: 123}]}],
properties: {}
})
};
fetch('https://api.hubapi.com/crm/objects/2026-03/{objectType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>",
"warnings": [
{
"category": "<string>",
"context": {},
"message": "<string>"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create a contact
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
Cuerpo
Is the input object used to create a new CRM object, containing the properties to be set and optional associations to link the new record with other CRM objects.
Respuesta
successful operation
A simple public object.
Whether the object is archived.
The timestamp when the object was created, in ISO 8601 format.
The unique ID of the object.
Key-value pairs representing the properties of the object.
Show child attributes
Show child attributes
The timestamp when the object was last updated, in ISO 8601 format.
The timestamp when the object was archived, in ISO 8601 format.
Unique ID to identify each write operation, which will be returned with any errors to identify which request encountered which error.
Key-value pairs representing the properties of the object along with their history.
Show child attributes
Show child attributes
URL to go to the object
Show child attributes
Show child attributes